WebCalendar 1.1.6 - pref.php Cross-Site Scripting

2008-01-25T00:00:00
ID EXPLOITPACK:40A656D112EFEEDD47CA15DFB75F1EAE
Type exploitpack
Reporter Omer Singer
Modified 2008-01-25T00:00:00

Description

WebCalendar 1.1.6 - pref.php Cross-Site Scripting

                                        
                                            source: https://www.securityfocus.com/bid/27461/info

WebCalendar is prone to multiple HTML-injection and cross-site scripting vulnerabilities because the application fails to properly sanitize user-supplied input before using it in dynamically generated content.

Attacker-supplied HTML and script code would run in the context of the affected site, potentially allowing an attacker to steal cookie-based authentication credentials. The attacker could also exploit the HTML-injection issues to control how the site is rendered to the user; other attacks are also possible.

These issues affect WebCalendar 1.1.6; other versions may also be vulnerable. 

http://www.example.com/pref.php?>'"><script>alert('XSS')</script>